package com.hzya.frame.sysnew.application.apiAythDetail.entity;

import java.util.Date;
import java.util.List;

import com.hzya.frame.web.entity.BaseEntity;
/**
 * 应用api关联三方调用系统表(SysApplicationApiAuthDetail)实体类
 *
 * @author makejava
 * @since 2023-09-22 16:25:51
 */
public class SysApplicationApiAuthDetailEntity extends BaseEntity {
 
  /**  应用id */
   private String appId;
  /**  目录id */
   private String catalogueId;
  /**  接口id */
   private String apiId;
  /**  三方调用系统表id */
   private String tripartiteSystemId;

    /**  状态 1、取消选择 2、选择 */
    private String statusType;
    /**  三方调用系统表id s*/
    private List<String> tripartiteSystemIds;
    public String getAppId() {
        return appId;
    }

    public void setAppId(String appId) {
        this.appId = appId;
    }

    public String getCatalogueId() {
        return catalogueId;
    }

    public void setCatalogueId(String catalogueId) {
        this.catalogueId = catalogueId;
    }

    public String getApiId() {
        return apiId;
    }

    public void setApiId(String apiId) {
        this.apiId = apiId;
    }

    public String getTripartiteSystemId() {
        return tripartiteSystemId;
    }

    public void setTripartiteSystemId(String tripartiteSystemId) {
        this.tripartiteSystemId = tripartiteSystemId;
    }

    public List<String> getTripartiteSystemIds() {
        return tripartiteSystemIds;
    }

    public void setTripartiteSystemIds(List<String> tripartiteSystemIds) {
        this.tripartiteSystemIds = tripartiteSystemIds;
    }

    public String getStatusType() {
        return statusType;
    }

    public void setStatusType(String statusType) {
        this.statusType = statusType;
    }
}

